import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
	{
		path: "/",
		redirect: "/main",
	},
	{
		path: "/main",
		component: () =>
			import(/* webpackChunkName: "main" */ "../views/Main.vue"),
		children: [
			{
				path: "home",
				component: () =>
					import(/* webpackChunkName: "home" */ "../views/Home.vue"),
			},
		],
	},
];

const router = new VueRouter({
	routes,
});

export default router;
